=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2011-09-07 09:57:43 +0000
+++ bzrlib/errors.py	2011-09-07 10:17:23 +0000
@@ -144,10 +144,10 @@
         fmt = getattr(self, '_fmt', None)
         if fmt is not None:
             i18n.install()
-            unicode_fmt = osutils.safe_unicode(fmt)
+            unicode_fmt = unicode(fmt) #_fmt strings should be ascii
             if type(fmt) == unicode:
                 trace.mutter("Unicode strings in error.fmt are deprecated")
-            return gettext(unicode_fmt).encode('utf-8')
+            return gettext(unicode_fmt)
         fmt = getattr(self, '__doc__', None)
         if fmt is not None:
             symbol_versioning.warn("%s uses its docstring as a format, "
@@ -2799,7 +2799,7 @@
     _fmt = "Container has multiple records with the same name: %(name)s"
 
     def __init__(self, name):
-        self.name = name
+        self.name = name.decode("utf-8")
 
 
 class NoDestinationAddress(InternalBzrError):

